<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="CustXmlDocument">
<html>
<head>
<title>Sample Xml View</title>
<style>
.text {
	line-height: 12px;
	color: #000099;
	font-family: verdana;
	font-size: 11px;
}
.a { text-decoration: none}
.a:hover { text-decoration: underline}
</style>
</head>
<body>
<table>
<tr>
<td valign="top"><xsl:apply-templates select="menu" /></td>
<td valign="top">
<table border="1">
<xsl:for-each select="content/news">
	<xsl:choose>
		<xsl:when test="position() mod 2 = 0">
			<tr><td class="text">
			<xsl:number value="position()" format="1" />.
			<strong><xsl:value-of select="title"/></strong><br/>
			<xsl:copy-of select="news"/>
			<br/><br/>
			<xsl:apply-templates select="include" />
			</td></tr>
		</xsl:when>
		<xsl:otherwise>
			<tr><td bgcolor="#CEE3FF" class="text">
			<xsl:number value="position()" format="1" />.
			<strong><xsl:value-of select="title"/></strong><br/>
			<xsl:copy-of select="news"/>
			<br/><br/>
			<xsl:apply-templates select="include" />
			</td></tr>		
		</xsl:otherwise>
	</xsl:choose>
</xsl:for-each>
</table>
</td>
</tr>
</table>
</body>
</html>
</xsl:template>
<xsl:template match="include"><i>Highlight:</i><br/>
<xsl:for-each select="data/item">
<strong><xsl:value-of select="."/></strong><br/>
</xsl:for-each>
</xsl:template>
<xsl:template match="menu">
<table border="1">
<xsl:for-each select="item">
<tr>
	<td>
		<A class="text">
		<xsl:attribute name="href">
<xsl:value-of select="url"/></xsl:attribute>
		<xsl:value-of select="name"/>
		</A>
	</td>
</tr>
</xsl:for-each>
</table>
</xsl:template>
</xsl:stylesheet>
