@echo on

echo Set the SharePoint Root (where STSADM lives)

set SPROOT="c:\Program Files\Common Files\Microsoft Shared\web server extensions\12"

echo Stop IIS for now so we can (reliably) copy files into SharePoint

iisreset /stop

echo Copy the files to the right location using XCopy to be sure they get there
echo We use the flags as follows:
echo     /y - overwrite the file if exists
echo     /d - only copy if source is newer
echo     /e - copy/create subdirectories even if empty
echo     /v - verify file after copy

xcopy /y /d /e /v MyFirstFeature %SPROOT%\TEMPLATE\Features\MyFirstFeature\

echo Restart IIS

iisreset /start
